/**
 * Settings.java
 * 4/1/11
 */

/**
 * Settings for the simple platform game.
 * 
 * @author CPSC170A
 */
public abstract class Settings {
    /** Panel width. */
    public static final int PANEL_WIDTH = 640;

    /** Panel height. */
    public static final int PANEL_HEIGHT = 480;

    /** Frame rate. */
    public static final int REFRESH = 30;

    /** Acceleration due to gravity. */
    public static final double GRAVITY = 0.00333;

    /** Player width. */
    public static final double PLAYER_WIDTH = 32.0;

    /** Player height. */
    public static final double PLAYER_HEIGHT = 64.0;

    /** Initial player x location. */
    public static final double INIT_PLAYER_X = 0.0;

    /** Initial paddle y location. */
    public static final double INIT_PLAYER_Y = 0.0;

    /** Velocity of player. */
    public static final double INIT_PLAYER_VEL = 0.333;

    /** Jump acceleration. */
    public static final double JUMP = 1.0;

    /** Right bound of player movement. */
    public static final double RIGHT_BOUND = PANEL_WIDTH * 0.7;

    /** Left bound of player movement. */
    public static final double LEFT_BOUND = PANEL_WIDTH * 0.3;

    /** Top bound of player movement. */
    public static final double TOP_BOUND = PANEL_HEIGHT * 0.3;

    /** Bottom bound of player movement. */
    public static final double BOTTOM_BOUND = PANEL_HEIGHT * 0.7;

    /** Name of file to read platforms from. */
    public static final String PLATFORM_FILE_NAME = "platforms.txt";

    /** Size of platforms. */
    public static final int PLATFORM_SIZE = 32;

    /** Storage Mode. */
    public static final StorageMode STORAGE_MODE = StorageMode.LIST;

}
